<panel title="opacity_selector">
  <container>
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" layout_children="true" />
    <layout class="stick_to_sides_attachment" alignment="all" inset="0" />

    <widget class="action_button" id="os80" appearance="button/opacityselect/eighty/button" auto_size="vertical" width="24" hidn="true">
      <layout class="stick_to_sides_attachment" alignment="right" inset="290"/>
      <layout class="stick_to_sides_attachment" alignment="top" inset="6"/>

      <event id="click_event" event_id="o80c"/>

      <attachment class="event_relay_attachment" event_id="o80c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="os20"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o80c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="os80"/>
        </record>
      </attachment>
      
      <attachment class="event_relay_attachment" event_id="o80c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="20bg"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o80c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="80bg"/>
        </record>
      </attachment>

    </widget>

    <widget class="action_button" id="os60" appearance="button/opacityselect/sixty/button" auto_size="vertical" width="24" hidn="true">
      <layout class="stick_to_sides_attachment" alignment="right" inset="290"/>
      <layout class="stick_to_sides_attachment" alignment="top" inset="6"/>

      <event id="click_event" event_id="o60c"/>

      <attachment class="event_relay_attachment" event_id="o60c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="os80"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o60c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="os60"/>
        </record>
      </attachment>
      
      <attachment class="event_relay_attachment" event_id="o60c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="80bg"/>
        </record>
      </attachment>
      
      <attachment class="event_relay_attachment" event_id="o60c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="60bg"/>
        </record>
      </attachment>      
    </widget>

    <widget class="action_button" id="os40" appearance="button/opacityselect/forty/button" auto_size="vertical" width="24" hidn="false">
      <layout class="stick_to_sides_attachment" alignment="right" inset="290"/>
      <layout class="stick_to_sides_attachment" alignment="top" inset="6"/>

      <event id="click_event" event_id="o40c"/>

      <attachment class="event_relay_attachment" event_id="o40c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="os60"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o40c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="os40"/>
        </record>
      </attachment>
      
      <attachment class="event_relay_attachment" event_id="o40c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="60bg"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o40c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="40bg"/>
        </record>
      </attachment>

    </widget>

    <widget class="action_button" id="os20" appearance="button/opacityselect/twenty/button" auto_size="vertical" width="24" hidn="true">
      <layout class="stick_to_sides_attachment" alignment="right" inset="290"/>
      <layout class="stick_to_sides_attachment" alignment="top" inset="6"/>

      <event id="click_event" event_id="o20c"/>

      <attachment class="event_relay_attachment" event_id="o20c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="os40"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o20c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="os20"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o20c">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="40bg"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="o20c">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="20bg"/>
        </record>
      </attachment>

    </widget>    
  </container>
  
</panel>